## ---- echo = FALSE, warning = FALSE----------------------------------------
suppressPackageStartupMessages({
    library(MultiAssayExperiment)
    library(curatedTCGAData)
})

## ---- eval=FALSE-----------------------------------------------------------
#  source("https://bioconductor.org/biocLite.R")
#  BiocInstaller::biocLite("curatedTCGAData")

## ---- eval = FALSE---------------------------------------------------------
#  library(curatedTCGAData)
#  library(MultiAssayExperiment)

## --------------------------------------------------------------------------
curatedTCGAData(diseaseCode = "*", assays = "*", dry.run = TRUE)

## --------------------------------------------------------------------------
curatedTCGAData(diseaseCode = "COAD", assays = "RPPA*", dry.run = TRUE)

## ---- message=FALSE--------------------------------------------------------
gbm <- curatedTCGAData("GBM", "RPPA*", FALSE)
gbm

## --------------------------------------------------------------------------
head(metadata(colData(gbm))[["subtypes"]])

